Bug 472076

Summary: kdump kernel sometimes fails to boot on KVM guest: MP-BIOS bug: 8254 timer not connected to IO-APIC
Product: [Fedora] Fedora Reporter: Eduardo Habkost <ehabkost>
Component: kvmAssignee: Chris Lalancette <clalance>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: berrange, clalance, gcosta, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:52:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
dmesg of guest kdump kernel when booting failed
none
dmesg of guest kdump kernel when booting worked none

Description Eduardo Habkost 2008-11-18 11:38:22 EST
Created attachment 323925 [details]
dmesg of guest kdump kernel when booting failed

It is not clear where the bug is located, but when booting a kdump kernel on a Rawhide KVM guest on a Rawhide KVM host sometimes fails, with the following messages:

SMP alternatives: switching to UP code
ACPI: Core revision 20080609
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=0 apic2=-1 pin2=-1
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found apic 0 pin 0) ...
....... failed.
...trying to set up timer as Virtual Wire IRQ...
..... failed.
...trying to set up timer as ExtINT IRQ...


Around 50% of time, it fails with the message above. On other cases, it finished booting and it works.


Version-Release number of selected component (if applicable):

Host:
kvm-74-5.fc10.x86_64
kernel-2.6.27.5-101.fc10.x86_64

Guest:
2.6.27.5-109.fc10.i686

(Host is 64-bit, guest is 32-bit).


How reproducible:
- Aroudn 50% of time

Steps to Reproduce:
1. Boot 32-bit Rawhide KVM guest on 64-bit Rawhide host
2. Make sure kdump service is started
3. echo c > /proc/sysrq-trigger

Actual results:
kdump kernel fails to boot.


Expected results:
The kdump kernel boots. If virtio-pci and virtio-blk was not included on the kdump initrd, it may fail to mount the root filesystem because of bug #471650, but that's another issue.


Additional info:
I will attach dmesg of the guest kernel from both cases: when booting worked and when booting failed.
Comment 1 Eduardo Habkost 2008-11-18 11:39:32 EST
Created attachment 323926 [details]
dmesg of guest kdump kernel when booting worked
Comment 2 Eduardo Habkost 2008-11-18 13:19:24 EST
Additional info: when the kdump kernel fails to boot on the guest, the host dmesg is flooded with "Unsupported delivery mode 7" messages.

It explains why the guest is not getting time interrupts. The question is what is triggering the unsupported delivery mode.
Comment 3 Eduardo Habkost 2008-11-18 13:47:46 EST
Using a upstream tip.git kernel and kvm-userspace.git kvm userspace on the host make things worse: the guest kernel itself (non-kdump) doesn't boot, with the same error and the same messages on host dmesg.
Comment 4 Eduardo Habkost 2008-11-20 10:22:59 EST
kvm.git problem reported at kvm mailing list:
http://marc.info/?l=kvm&m=122719101400655
Comment 5 Bug Zapper 2008-11-26 00:33:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lalancette 2009-10-22 11:35:05 EDT
This is still a problem in current KVM, but I'm working on a solution for upstream.  I'll take ownership of this bug.

Chris Lalancette
Comment 7 Bug Zapper 2009-11-18 03:53:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:52:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.